Skip to content

Change password

Request

Security
oauth2 or bearerAuth or apiKeyHeader
Bodyapplication/jsonrequired
Any of:
passwordstring, (password)

The password to authenticate with.

usernamestring

The username to authenticated. This can be a username or an email, depending on the configuration.

POST
/auth/password
curl -i -X POST \
  https://sandboxapi.peach.finance/api/auth/password \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "password": "pa$$word",
    "username": "string"
  }'

Responses

Success

Bodyapplication/json
messagestring

Description of the server action or error.

statusinteger

HTTP status code.

Response
{ "message": "string", "status": 0 }